summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2017-06-02 19:31:42 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2017-06-02 19:33:42 +0200
commitf4bab0b01a536d4897269aed19f88eb238606b75 (patch)
tree5c1bb183d6b2ba57b35a4e89420816dff8fad634 /x11-wm/windowmaker
parentdev-vcs/guilt: [QA] Use proper distfile name (diff)
downloadgentoo-f4bab0b01a536d4897269aed19f88eb238606b75.tar.gz
gentoo-f4bab0b01a536d4897269aed19f88eb238606b75.tar.bz2
gentoo-f4bab0b01a536d4897269aed19f88eb238606b75.zip
x11-wm/windowmaker: fix build with imagemagick-7, bug #619588
Sync latest changes in live ebuild Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'x11-wm/windowmaker')
-rw-r--r--x11-wm/windowmaker/files/windowmaker-0.95.8-imagemagick7.patch35
-rw-r--r--x11-wm/windowmaker/windowmaker-0.95.8-r1.ebuild111
-rw-r--r--x11-wm/windowmaker/windowmaker-9999.ebuild14
3 files changed, 155 insertions, 5 deletions
diff --git a/x11-wm/windowmaker/files/windowmaker-0.95.8-imagemagick7.patch b/x11-wm/windowmaker/files/windowmaker-0.95.8-imagemagick7.patch
new file mode 100644
index 00000000000..b4cccab5a71
--- /dev/null
+++ b/x11-wm/windowmaker/files/windowmaker-0.95.8-imagemagick7.patch
@@ -0,0 +1,35 @@
+imagemagick 7.0 now uses MagickWand/
+---
+ m4/wm_imgfmt_check.m4 | 2 +-
+ wrlib/load_magick.c | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/m4/wm_imgfmt_check.m4 b/m4/wm_imgfmt_check.m4
+index 5dd9ec7f..14e52bb3 100644
+--- a/m4/wm_imgfmt_check.m4
++++ b/m4/wm_imgfmt_check.m4
+@@ -312,7 +312,7 @@ AS_IF([test "x$enable_magick" = "xno"],
+ dnl
+ dnl The library was found, check if header is available and compiles
+ wm_save_CFLAGS="$CFLAGS"
+- AS_IF([wm_fn_lib_try_compile "wand/magick_wand.h" "MagickWand *wand;" "wand = NewMagickWand()" "$wm_cv_libchk_magick_cflags"],
++ AS_IF([wm_fn_lib_try_compile "MagickWand/MagickWand.h" "MagickWand *wand;" "wand = NewMagickWand()" "$wm_cv_libchk_magick_cflags"],
+ [wm_cv_libchk_magick="$wm_cv_libchk_magick_cflags % $wm_cv_libchk_magick_libs"],
+ [AC_MSG_ERROR([found MagickWand library but could not compile its header])])
+ CFLAGS="$wm_save_CFLAGS"])dnl
+diff --git a/wrlib/load_magick.c b/wrlib/load_magick.c
+index 3e809ba2..1edbebc3 100644
+--- a/wrlib/load_magick.c
++++ b/wrlib/load_magick.c
+@@ -22,7 +22,7 @@
+
+ #include "config.h"
+
+-#include <wand/MagickWand.h>
++#include <MagickWand/MagickWand.h>
+
+ #include "wraster.h"
+ #include "imgformat.h"
+--
+2.13.0
+
diff --git a/x11-wm/windowmaker/windowmaker-0.95.8-r1.ebuild b/x11-wm/windowmaker/windowmaker-0.95.8-r1.ebuild
new file mode 100644
index 00000000000..c644be13c9a
--- /dev/null
+++ b/x11-wm/windowmaker/windowmaker-0.95.8-r1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils
+
+DESCRIPTION="The fast and light GNUstep window manager"
+HOMEPAGE="http://www.windowmaker.org/"
+SRC_URI=" http://windowmaker.org/pub/source/release/${P/windowm/WindowM}.tar.gz
+ http://www.windowmaker.org/pub/source/release/WindowMaker-extra-0.1.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+IUSE="gif imagemagick jpeg modelock nls png tiff webp xinerama +xpm xrandr"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+DEPEND="media-libs/fontconfig
+ >=x11-libs/libXft-2.1.0
+ x11-libs/libXmu
+ x11-libs/libXpm
+ x11-libs/libXt
+ x11-libs/libXv
+ gif? ( >=media-libs/giflib-4.1.0-r3 )
+ imagemagick? ( media-gfx/imagemagick:0= )
+ jpeg? ( virtual/jpeg:0= )
+ png? ( media-libs/libpng:0= )
+ tiff? ( media-libs/tiff:0 )
+ webp? ( media-libs/libwebp )
+ xinerama? ( x11-libs/libXinerama )
+ xrandr? ( x11-libs/libXrandr )"
+RDEPEND="${DEPEND}
+ nls? ( >=sys-devel/gettext-0.10.39 )"
+
+S=${WORKDIR}/${P/windowm/WindowM}
+
+src_prepare() {
+ # Fix some paths
+ for file in WindowMaker/*menu* util/wmgenmenu.c; do
+ if [[ -r $file ]] ; then
+ sed -i -e "s:/usr/local/GNUstep/Applications/WPrefs.app:${EPREFIX}/usr/bin/:g;" "$file" || die
+ sed -i -e "s:/usr/local/share/WindowMaker:${EPREFIX}/usr/share/WindowMaker:g;" "$file" || die
+ sed -i -e "s:/opt/share/WindowMaker:${EPREFIX}/usr/share/WindowMaker:g;" "$file" || die
+ fi;
+ done;
+
+ if has_version '>=media-gfx/imagemagick-7.0.1.0' ; then
+ eapply "${FILESDIR}/${P}-imagemagick7.patch"
+ fi
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+
+ # image format types
+ myconf="$(use_enable imagemagick magick) $(use_enable jpeg) $(use_enable gif) $(use_enable png) $(use_enable tiff) $(use_enable webp) $(use_enable xpm)"
+
+ # non required X capabilities
+ myconf="${myconf} $(use_enable modelock) $(use_enable xrandr randr) $(use_enable xinerama)"
+
+ if use nls; then
+ [[ -z $LINGUAS ]] && export LINGUAS="$(ls po/*.po | sed 's:po/\(.*\)\.po$:\1:' | xargs)"
+ else
+ myconf="${myconf} --disable-locale"
+ fi
+
+ # default settings with $myconf appended
+ econf \
+ --sysconfdir="${EPREFIX}"/etc/X11 \
+ --with-x \
+ --enable-usermenu \
+ --with-pixmapdir="${EPREFIX}"/usr/share/pixmaps \
+ --localedir="${EPREFIX}"/usr/share/locale \
+ ${myconf}
+
+ cd ../WindowMaker-extra-0.1
+ econf
+}
+
+src_compile() {
+ emake
+
+ # WindowMaker Extra Package (themes and icons)
+ cd ../WindowMaker-extra-0.1
+ emake
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc AUTHORS BUGFORM BUGS ChangeLog INSTALL* FAQ* \
+ README* NEWS TODO
+
+ # WindowMaker Extra
+ cd ../WindowMaker-extra-0.1
+ emake DESTDIR="${D}" install
+
+ newdoc README README.extra
+
+ # create wmaker session shell script
+ echo "#!/usr/bin/env bash" > wmaker
+ echo "${EPREFIX}/usr/bin/wmaker" >> wmaker
+ exeinto /etc/X11/Sessions/
+ doexe wmaker
+
+ insinto /usr/share/xsessions
+ doins "${FILESDIR}"/wmaker.desktop
+ make_desktop_entry /usr/bin/wmaker
+}
diff --git a/x11-wm/windowmaker/windowmaker-9999.ebuild b/x11-wm/windowmaker/windowmaker-9999.ebuild
index 687bb19f61b..5378b5e3d34 100644
--- a/x11-wm/windowmaker/windowmaker-9999.ebuild
+++ b/x11-wm/windowmaker/windowmaker-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=6
inherit autotools eutils git-r3
DESCRIPTION="The fast and light GNUstep window manager"
@@ -22,7 +22,7 @@ DEPEND="media-libs/fontconfig
x11-libs/libXt
x11-libs/libXv
gif? ( >=media-libs/giflib-4.1.0-r3 )
- imagemagick? ( media-gfx/imagemagick )
+ imagemagick? ( media-gfx/imagemagick:0= )
jpeg? ( virtual/jpeg:0= )
png? ( media-libs/libpng:0= )
tiff? ( media-libs/tiff:0 )
@@ -30,8 +30,7 @@ DEPEND="media-libs/fontconfig
xinerama? ( x11-libs/libXinerama )
xrandr? ( x11-libs/libXrandr )"
RDEPEND="${DEPEND}
- nls? ( >=sys-devel/gettext-0.10.39 )
- !app-i18n/scim-anthy[gtk3]"
+ nls? ( >=sys-devel/gettext-0.10.39 )"
src_unpack() {
# wm-extras
@@ -50,6 +49,11 @@ src_prepare() {
fi;
done;
+ if has_version '>=media-gfx/imagemagick-7.0.1.0' ; then
+ eapply "${FILESDIR}/${PN}-0.95.8-imagemagick7.patch"
+ fi
+
+ default
eautoreconf
}